package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Order;

/**
 * 服务订单Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface OrderMapper 
{
    /**
     * 查询服务订单
     * 
     * @param id 服务订单主键
     * @return 服务订单
     */
    public Order selectOrderById(Long id);

    /**
     * 查询服务订单列表
     * 
     * @param order 服务订单
     * @return 服务订单集合
     */
    public List<Order> selectOrderList(Order order);

    /**
     * 新增服务订单
     * 
     * @param order 服务订单
     * @return 结果
     */
    public int insertOrder(Order order);

    /**
     * 修改服务订单
     * 
     * @param order 服务订单
     * @return 结果
     */
    public int updateOrder(Order order);


    public Order selectOrderByOrderId(String orderId);

    /**
     * 删除服务订单
     * 
     * @param id 服务订单主键
     * @return 结果
     */
    public int deleteOrderById(Long id);

    /**
     * 批量删除服务订单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderByIds(Long[] ids);
}
